/**
  ********************************************************************************
  * @file stm8s_wwdg.h
  * @brief This file contains all functions prototype and macros for the WWDG peripheral.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.1
  * @date 06/05/2009
  ******************************************************************************
  *
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __STM8S_WWDG_H
#define __STM8S_WWDG_H

// Includes ------------------------------------------------------------------
#include "stm8s.h"

// Private macros ------------------------------------------------------------

 // @addtogroup WWDG_Private_Macros

/**
  * @brief Macro used by the assert function in order to check the
  * values of the window register.
  */
#define IS_WWDG_WINDOWLIMITVALUE_OK(WindowLimitValue) (WindowLimitValue <= 0x7F)

/**
  * @brief Macro used by the assert function in order to check the different
  * values of the counter register.
  */
#define IS_WWDG_COUNTERVALUE_OK(CounterValue) (CounterValue <= 0x7F)


// Exported types ------------------------------------------------------------

// Exported functions ------------------------------------------------------- 

 // @addtogroup WWDG_Exported_Functions

void WWDG_Init(u8 Counter, u8 WindowValue);
void WWDG_SetCounter(u8 Counter);
u8 WWDG_GetCounter(void);
void WWDG_SWReset(void);
void WWDG_SetWindowValue(u8 WindowValue);



#endif /* __STM8S_WWDG_H */

